## org.apache.xerces.xs
Interface AttributePSVI

All Superinterfaces:
  ItemPSVI

    public interface AttributePSVI

extends ItemPSVI

Represents a PSVI item for one attribute information item.

Field Summary

Fields inherited from interface org.apache.xerces.xs.ItemPSVI
`VALIDATION_FULL, VALIDATION_NONE, VALIDATION_PARTIAL, VALIDITY_INVALID, VALIDITY_NOTKNOWN, VALIDITY_VALID`

Method Summary
`XSAttributeDeclaration` `getAttributeDeclaration()` [attribute declaration]: An item isomorphic to the declaration component itself.

Methods inherited from interface org.apache.xerces.xs.ItemPSVI
`getActualNormalizedValue, getActualNormalizedValueType, getErrorCodes, getIsSchemaSpecified, getItemValueTypes, getMemberTypeDefinition, getSchemaDefault, getSchemaNormalizedValue, getTypeDefinition, getValidationAttempted, getValidationContext, getValidity`

Method Detail

### getAttributeDeclaration

    XSAttributeDeclaration getAttributeDeclaration()

  [attribute declaration]: An item isomorphic to the declaration component itself.

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.